<div class="app-page-title">
  <div class="page-title-wrapper">
    <div class="page-title-heading">
      <div class="page-title-icon">
        <i class="icon pe-7s-home icon-gradient bg-tempting-azure" routerLink="/overview/dashboard"></i>
      </div>
      <div>
        Home
      </div>
    </div>
  </div>
</div>

<div class="main-card mb-3 card">





  <!--  /////////////////////////////  pagr1  /////////////////////////////   -->

  <div class="spinner-grow text-success" role="status" *ngIf="statusData === true">
    <span class="sr-only">Loading...</span>
  </div>

  <div class="card animated fadeIn" *ngIf="page1==true && id_number != '' && statusData === false">
    <div class="card-header">
      <div class="card-header-title font-size-lg text-capitalize font-weight-normal">ข้อมูลทั่วไป</div>
    </div>
    <!-- <div class="card-header">
    <button class="btn-shadow btn-wide btn-pill btn btn-focus" routerLink="/dashboards">
      BACK
    </button>
  </div> -->

    <div class="card-body">
      <div class="form-group row" style="text-align: left; padding-top: 2% ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ประเภทบัตร (ID type)</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="idType" name="ID" id="ID" placeholder="ID type" disabled>
        </div>
      </div>

      <div class="form-group row" style="text-align: left;">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">เลขบัตร (ID Card No. /
          Passport)</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="idNumber" name="city" id="city" placeholder="ID Card No."
            disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ชื่อ - นามสกุล (ไทย)</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="fullnameTH" name="city" id="city" placeholder="Name"
            disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ชื่อ - นามสกุล (อังกฤษ)</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="fullnameEN" name="city" id="city" placeholder="Name"
            disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">เพศ </label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="gender" name="gender" id="gender" placeholder="Gender"
            disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">วัน เดือน ปีเกิด (ค.ศ.)</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="birthday" name="birthday" id="birthday"
            placeholder="Birthday" disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">อีเมล์</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="email" name="email" id="email" placeholder="email"
            disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">เบอร์โทรศัพท์</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="telephone" name="telephone" id="telephone"
            placeholder="Tel." disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">สัญชาติ</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="national" name="national" id="national"
            placeholder="National" disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">สถานภาพ</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="maritalStatus" name="maritalStatus" id="maritalStatus"
            placeholder="Status" disabled>
        </div>
      </div>


      <div class="form-group row" style="text-align: left;">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">คู่สมรส</label>
        <div class="col-sm-5">
          <input type="radio" name="optionmarry" required value="marry" [(ngModel)]="married" disabled /><label>
            &nbsp;
            &nbsp;มี</label> &nbsp; &nbsp; &nbsp;
          <input type="radio" name="optionmarry" required value="nomarry" [(ngModel)]="married" disabled /><label>
            &nbsp;
            &nbsp;ไม่มี</label>
        </div>
      </div>

      <div class="card-body" style="padding-left:2%" *ngIf="married == 'marry'">

        <div class="form-group row" style="text-align: left;">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ประเภทบัตร (ID type)</label>
          <div class="col-sm-5">
            <input type="radio" name="optionpass" required value="nopass" [(ngModel)]="optionidpassport"
              disabled /><label>
              &nbsp;
              &nbsp;บัตรประชาชน</label> &nbsp; &nbsp; &nbsp;
            <input type="radio" name="optionpass" required value="pass" [(ngModel)]="optionidpassport"
              disabled /><label> &nbsp;
              &nbsp;พาสปอร์ต</label>
          </div>
          <!-- <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wfIdType" name="ID" id="ID" placeholder="ID type"
              disabled>
          </div> -->
        </div>
        <div class="form-group row" style="text-align: left;">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">เลขบัตร (ID Card No. /
            Passport)</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wfIdcard" name="wfIdcard" id="wfIdcard"
              placeholder="ID Card No." disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;" *ngIf="optionidpassport == 'pass'">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ประเทศที่ออกบัตร</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wfCountry" name="wfCountry" id="wfCountry"
              placeholder="wfCountry" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ชื่อ - นามสกุล (ไทย)</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wfFullName" name="wfFullName" id="wfFullName"
              placeholder="wfFullName" disabled>
          </div>
        </div>
        <!-- <div class="form-group row" style="text-align: left;">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">วัน เดือน ปีเกิด (ค.ศ.)</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wfBirthday" name="city" id="city" placeholder="City"
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">เบอร์โทรศัพท์</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wfTel" name="city" id="city" placeholder="City"
              disabled>
          </div>
        </div> -->
      </div>



      <div class="form-group row" style="text-align: left;">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">บุตร</label>
        <div class="col-sm-5">
          <input type="radio" name="haveChildren" required value="have" [(ngModel)]="haveChildren" disabled /><label>
            &nbsp;
            &nbsp;มี</label> &nbsp; &nbsp; &nbsp;
          <input type="radio" name="haveChildren" required value="nohave" [(ngModel)]="haveChildren" disabled /><label>
            &nbsp;
            &nbsp;ไม่มี</label>
        </div>
      </div>




      <div class="card-body" style="padding-left:2%" *ngIf="haveChildren == 'have'">
        <div class="form-group row" style="text-align: left;">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">จำนวนบุตร</label>
          <div class="col-sm-5">
            <input type="number" class="form-control" [(ngModel)]="lengthson" name="numson" id="numson"
              placeholder="son" disabled>
          </div>
        </div>

        <br>

        <div *ngFor="let children of numbersons;let in = index " class="card-header">
          <div class="form-group row" style="text-align: left;">
            <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ประเภทบัตร (ID type)</label>
            <div class="col-sm-5">
              <input type="radio" name="optionpassson" disabled value="CITIZEN_CARD"
                [(ngModel)]="children.identificationCardType.key" /><label>
                &nbsp;
                &nbsp;บัตรประชาชน</label> &nbsp; &nbsp; &nbsp;
              <input type="radio" name="optionpassson" disabled value="PASSPORT"
                [(ngModel)]="children.identificationCardType.key" /><label>
                &nbsp;
                &nbsp;พาสปอร์ต</label>
            </div>
          </div>
          <div class="form-group row" style="text-align: left;">
            <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">เลขบัตร (ID Card No. /
              Passport)</label>
            <div class="col-sm-5">
              <input type="text" class="form-control" [(ngModel)]="children.cardNumber" name="cardNumber"
                id="cardNumber" placeholder="cardNumber" disabled>
            </div>
          </div>
          <div class="form-group row" style="text-align: left;" *ngIf="optionidpassportson == 'PASSPORT'">
            <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ประเทศที่ออกบัตร</label>
            <div class="col-sm-5">
              <input type="text" class="form-control" [(ngModel)]="children.passportCountry.name" name="Country"
                id="Country" placeholder="Country" disabled>
            </div>
          </div>
          <div class="form-group row" style="text-align: left;">
            <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ชื่อ - นามสกุล (ไทย)</label>
            <div class="col-sm-5">
              <input type="text" class="form-control"
                [(ngModel)]="children.title.displayName +' '+ children.thFirstName +'  '+ children.thLastName"
                name="city" id="city" placeholder="City" disabled>
            </div>
          </div>
          <div class="form-group row" style="text-align: left;">
            <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">วัน เดือน ปีเกิด
              (ค.ศ.)</label>
            <div class="col-sm-5">
              <input type="text" class="form-control" [(ngModel)]="children.idCardExpiryDate.formatted" name="city"
                id="city" placeholder="City" disabled>
            </div>
          </div>
          <!-- <div class="form-group row" style="text-align: left;">
            <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">เบอร์โทรศัพท์</label>
            <div class="col-sm-5">
              <input type="text" class="form-control" [(ngModel)]="city" name="city" id="city" placeholder="City"
                disabled>
            </div>
          </div> -->
        </div>
      </div>


      <br>
      <div style="text-align: right; padding-right: 2% ;padding-bottom: 2%">
        <button class="btn btn-outline-dark" routerLink="/overview/dashboard">
          Back
        </button>&nbsp; &nbsp;
        <button class="btn btn-outline-primary" (click)="goPage2()">
          Next
        </button>
        <br>

      </div>
    </div>
  </div>






  <!-- /////////////////////////    page2 ////////////////////////////// -->

  <div class="card animated fadeIn" *ngIf="page2==true">
    <div class="card-header">
      <div class="card-header-title font-size-lg text-capitalize font-weight-normal">ที่อยู่ (ตามทะเบียนบ้าน)</div>
    </div>

    <div class="card-body">

      <div class="form-group row" style="text-align: left; ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">เลขที่</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="adNo" name="city" id="city" placeholder="" disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">หมู่ที่</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="adMo" name="city" id="city" placeholder="" disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left; ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">อาคาร/หมู่บ้าน</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="adBuild" name="city" id="city" placeholder="" disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ชั้น</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="adFloor" name="city" id="city" placeholder="" disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ซอย</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="adSoi" name="city" id="city" placeholder="" disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left; ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ถนน</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="adRoad" name="city" id="city" placeholder="" disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left; ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ตำบล</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="adSubDistrict" name="city" id="city" placeholder=""
            disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">อำเภอ</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="adDistrict" name="city" id="city" placeholder=""
            disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">จังหวัด</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="adProvince" name="city" id="city" placeholder=""
            disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">รหัสไปรษณีย์</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="adPostalCode" name="city" id="city" placeholder=""
            disabled>
        </div>
      </div>
      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ประเทศ</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="adCountry" name="city" id="city" placeholder="" disabled>
        </div>
      </div>
      <!-- <div class="form-group row" style="text-align: left; ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">โทรศัพท์</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="adTel" name="city" id="city" placeholder="" required>
        </div>
      </div> -->

      <br>
      <div class="card-header">
        <h3>ที่อยู่ที่ทำงาน</h3>
        <!-- <input type="radio" name="optionaddress" required value="likeadd" [(ngModel)]="optionaddress" /><label>
          &nbsp;
          &nbsp;ตามทะเบียนบ้าน</label> &nbsp; &nbsp; &nbsp;
        <input type="radio" name="optionaddress" required value="notlike" [(ngModel)]="optionaddress" /><label>
          &nbsp;
          &nbsp;อื่นๆ</label> -->
      </div>


      <div class="card-body" style="padding-left:2%">
        <div class="form-group row" style="text-align: left; ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">เลขที่</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wkNo" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">หมู่ที่</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wkMo" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left; ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">อาคาร/หมู่บ้าน</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wkBuild" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ชั้น</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wkFloor" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ซอย</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wkSoi" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left; ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ถนน</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wkRoad" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left; ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ตำบล</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wkSubDistrict" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">อำเภอ</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wkDistrict" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">จังหวัด</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wkProvince" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">รหัสไปรษณีย์</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wkPostalCode" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ประเทศ</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="wkCountry" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <!-- <div class="form-group row" style="text-align: left; ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">โทรศัพท์</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="adTel" name="city" id="city" placeholder="" required>
          </div>
        </div> -->
      </div>

      <br>
      <div class="card-header">
        <h3>ที่อยู่ที่ปัจจุบัน</h3>
        <input type="radio" name="optionaddressnow" required value="Residence" [(ngModel)]="optionaddressnow"
          disabled /><label>
          &nbsp;
          &nbsp;ตามทะเบียนบ้าน</label> &nbsp; &nbsp; &nbsp;
        <input type="radio" name="optionaddressnow" required value="Other" [(ngModel)]="optionaddressnow"
          disabled /><label>
          &nbsp;
          &nbsp;อื่นๆ</label>
      </div>

      <div class="card-body" style="padding-left:2%" *ngIf="optionaddressnow == 'Other'">
        <div class="form-group row" style="text-align: left; ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">เลขที่</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="nwNo" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">หมู่ที่</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="nwMo" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left; ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">อาคาร/หมู่บ้าน</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="nwBuild" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ชั้น</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="nwFloor" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ซอย</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="nwSoi" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left; ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ถนน</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="nwRoad" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left; ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ตำบล</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="nwSubDistrict" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">อำเภอ</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="nwDistrict" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">จังหวัด</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="nwProvince" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">รหัสไปรษณีย์</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="nwPostalCode" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ประเทศ</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="nwCountry" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
      </div>


      <div class="form-group row" style="text-align: left; padding-top: 2% ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">อาชีพ</label>
        <div class="col-sm-5">
          <!-- <select class="browser-default custom-select" [(ngModel)]="jobsTable">
            <option *ngFor="let jobs of job" value="{{jobs}}">{{jobs}}</option>
          </select> -->
          <input type="text" class="form-control" [(ngModel)]="occupation" name="occupation" id="occupation"
            placeholder="occupation" disabled>


        </div>
      </div>

      <div class="form-group row" style="text-align: left; " *ngIf="jobsTable == 'อื่นๆ'">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">อาชีพอื่นๆ</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="city" name="city" id="city" placeholder="๋Job" disabled>
        </div>
      </div>





      <div class="form-group row" style="text-align: left; ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ประเภทธุรกิจ</label>
        <div class="col-sm-5">
          <!-- <select class="browser-default custom-select" [(ngModel)]="typesBusinesss">
            <option *ngFor="let typesBusiness of typeBusiness" value="{{typesBusiness}}">{{typesBusiness}}
            </option>
          </select> -->
          <input type="text" class="form-control" [(ngModel)]="businessType" name="businessType" id="businessType"
            placeholder="businessType" disabled>
        </div>
      </div>

      <div class="form-group row" style="text-align: left; " *ngIf="typesBusinesss == 'อื่นๆ'">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ประเภทธุรกิจอื่นๆ</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="city" name="city" id="city" placeholder="Business"
            disabled>
        </div>
      </div>





      <br>
      <div style="text-align: right; padding-right: 2% ;padding-bottom: 2%">
        <button class="btn btn-outline-dark" (click)="backtopage1()">
          Back
        </button>&nbsp;&nbsp;
        <button class="btn btn-outline-primary" (click)="goPage3()">
          Next
        </button>

        <br>

      </div>
    </div>
  </div>


  <!-- /////////////////////////    page3 ////////////////////////////// -->

  <div class="card animated fadeIn" *ngIf="page3==true">
    <div class="card-header">
      <div class="card-header-title font-size-lg text-capitalize font-weight-normal">ข้อมูลเพิ่มเติม</div>
    </div>
    <div class="card-body">
      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">คำสั่งสำหรับการหักภาษี ณ
          ที่จ่ายสำหรับเงินปันผล</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="confirmTaxDeduction" name="confirmTaxDeduction"
            id="confirmTaxDeduction" placeholder="confirmTaxDeduction" disabled>
          <!-- <input type="radio" name="confirmTaxDeduction" required value="1" [(ngModel)]="confirmTaxDeduction"
            disabled /><label>
            &nbsp;
            &nbsp;ยินยอม</label> &nbsp; &nbsp; &nbsp;
          <input type="radio" name="confirmTaxDeduction" required value="2" [(ngModel)]="confirmTaxDeduction"
            disabled /><label>
            &nbsp;
            &nbsp;ไม่ยินยอม</label> -->
        </div>
      </div>


      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%"
          for="address">แหล่งที่มาของรายได้จากประเทศ</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="incomeSourceCountry" name="incomeSourceCountry"
            id="incomeSourceCountry" placeholder="incomeSourceCountry" disabled>
        </div>
      </div>

      <div class="form-group row" style="text-align: left;">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ที่มาของรายได้</label>
        <div class="col-sm-5">
          <div class="" *ngFor="let money of incomeSource;let in = index ">
            <!-- <input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1" class="clr-checkbox"
              disabled>
            &nbsp; &nbsp; -->
            <label for="vertical-checkbox1" class="clr-control-label" style="max-width: 100%;">-&nbsp;
              &nbsp;{{money.label}}</label>
          </div>
        </div>
      </div>
      <div class="form-group row" style="text-align: left; " *ngIf="whereincome == true">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ที่มาของรายได้ (อื่นๆ)</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="checkin" name="city" id="city" placeholder="City"
            required>
        </div>
      </div>


      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">รายได้ต่อเดือน (บาท)</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="monthlyIncomeLevel" name="monthlyIncomeLevel"
            id="monthlyIncomeLevel" placeholder="monthlyIncomeLevel" disabled>
        </div>
      </div>


      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%"
          for="address">ท่านเคยมีประวัติการกระทำผิดกฏหมานฟอกเงินหรือไม่</label>
        <!-- <div class="col-sm-5">
          <input type="radio" name="optionson" required value="have" [(ngModel)]="optionson" /><label> &nbsp;
            &nbsp;ใช่</label> &nbsp; &nbsp; &nbsp;
          <input type="radio" name="optionson" required value="nohave" [(ngModel)]="optionson" /><label> &nbsp;
            &nbsp;ไม่ใช่</label>
        </div> -->
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="committedMoneyLaundering" name="committedMoneyLaundering"
            id="committedMoneyLaundering" placeholder="committedMoneyLaundering" disabled>
        </div>
      </div>

      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%"
          for="address">ท่านเป็นนักการเมืองหรือเกี่ยวข้องกับการเมืองหรือไม่</label>
        <!-- <div class="col-sm-5">
          <input type="radio" name="optionson" required value="have" [(ngModel)]="optionson" /><label> &nbsp;
            &nbsp;ใช่</label> &nbsp; &nbsp; &nbsp;
          <input type="radio" name="optionson" required value="nohave" [(ngModel)]="optionson" /><label> &nbsp;
            &nbsp;ไม่ใช่</label>
        </div> -->
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="politicalRelatedPerson" name="politicalRelatedPerson"
            id="politicalRelatedPerson" placeholder="politicalRelatedPerson" disabled>
        </div>
      </div>

      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%"
          for="address">ท่านเคยถูกปฎิเสธการรับทำธุรกรรมทางการเงินหรือไม่</label>
        <!-- <div class="col-sm-5">
          <input type="radio" name="optionson" required value="have" [(ngModel)]="optionson" /><label> &nbsp;
            &nbsp;ใช่</label> &nbsp; &nbsp; &nbsp;
          <input type="radio" name="optionson" required value="nohave" [(ngModel)]="optionson" /><label> &nbsp;
            &nbsp;ไม่ใช่</label>
        </div> -->
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="rejectFinancialTransaction"
            name="rejectFinancialTransaction" id="rejectFinancialTransaction" placeholder="rejectFinancialTransaction"
            disabled>
        </div>
      </div>




      <div style="text-align: right; padding-right: 2% ;padding-bottom: 2%">
        <button class="btn btn-outline-dark" (click)="backtopage2()">
          Back
        </button>&nbsp;&nbsp;
        <button class="btn btn-outline-primary" (click)="goPage4()">
          Next
        </button>
        <br>
      </div>
    </div>
  </div>


  <!-- /////////////////////////    page4 ////////////////////////////// -->

  <div class="card animated fadeIn" *ngIf="page4==true">
    <div class="card-header">
      <div class="card-header-title font-size-lg text-capitalize font-weight-normal">การเปิดบัญชีกองทุนรวม</div>
    </div>

    <div class="card-body">





      <div class="card-header">
        <h3>ที่อยู่ที่จัดส่งเอกสาร</h3>
        <input type="radio" name="mailAddress" required value="{{mailAddress}}" [(ngModel)]="mailAddress"
          disabled /><label>
          &nbsp;
          &nbsp;{{mailAddressDisplay}}</label> &nbsp; &nbsp; &nbsp;
        <!-- <input type="radio" name="mailAddress" required value="Other" [(ngModel)]="mailAddress" disabled /><label>
          &nbsp;
          &nbsp;อื่นๆ</label> -->
      </div>

      <div class="card-body" style="padding-left:2%" *ngIf="mailAddress == 'Other'">
        <div class="form-group row" style="text-align: left; ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">เลขที่</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="mailNo" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">หมู่ที่</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="mailMo" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left; ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">อาคาร/หมู่บ้าน</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="mailBuild" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ชั้น</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="mailFloor" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ซอย</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="mailSoi" name="city" id="city" placeholder="" disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left; ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ถนน</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="mailRoad" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left; ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ตำบล</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="mailSubDistrict" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">อำเภอ</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="nwDistrict" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">จังหวัด</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="mailProvince" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">รหัสไปรษณีย์</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="mailPostalCode" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
        <div class="form-group row" style="text-align: left;  ">
          <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">ประเทศ</label>
          <div class="col-sm-5">
            <input type="text" class="form-control" [(ngModel)]="mailCountry" name="city" id="city" placeholder=""
              disabled>
          </div>
        </div>
      </div>

      <br>


      <div class="form-group row" style="text-align: left;  "
        *ngFor="let suitbil of suitabilityAnswerList;let in = index ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">{{suitbil.label}}</label>
        <div class="col-sm-5">
          <textarea type="text" class="form-control" [(ngModel)]="suitbil.answer[0].label" name="incomeSourceCountry"
            id="incomeSourceCountry" placeholder="incomeSourceCountry" disabled></textarea>
        </div>
      </div>



      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">บัญชี</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="bankAccountNo" name="bankAccountNo" id="bankAccountNo"
            placeholder="bankAccountNo" disabled>
        </div>
      </div>


      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">รหัสธนาคาร (Bank Code)</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="bankCode" name="bankCode" id="bankCode"
            placeholder="bankCode" disabled>
        </div>
      </div>


      <!-- <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">วัตถุประสงค์การลงทุน</label>
        <div class="col-sm-5">
          <div class="">
            <input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1" class="clr-checkbox">
            &nbsp; &nbsp;
            <label for="vertical-checkbox1" class="clr-control-label"
              style="max-width: 100%;">เพื่อการลงทุนระยะสั้น</label>
          </div>
          <div class="">
            <input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1" class="clr-checkbox">
            &nbsp; &nbsp;
            <label for="vertical-checkbox1" class="clr-control-label"
              style="max-width: 100%;">เพื่อการลงทุนระยะยาว</label>
          </div>
          <div class="">
            <input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1" class="clr-checkbox">
            &nbsp; &nbsp;
            <label for="vertical-checkbox1" class="clr-control-label" style="max-width: 100%;">เพื่อเก็บออม</label>
          </div>
          <div class="">
            <input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1" class="clr-checkbox">
            &nbsp; &nbsp;
            <label for="vertical-checkbox1" class="clr-control-label"
              style="max-width: 100%;">เพื่อสิทธิ์ประโยชน์ทางภาษี</label>
          </div>
          <div class="">
            <input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1" class="clr-checkbox">
            &nbsp; &nbsp;
            <label for="vertical-checkbox1" class="clr-control-label" style="max-width: 100%;">เพื่อการเกษียณ</label>
          </div>
          <div class="">
            <input type="checkbox" id="vertical-checkbox1" name="checkboxs" [(ngModel)]="target">
            &nbsp; &nbsp;
            <label for="vertical-checkbox1" class="clr-control-label" style="max-width: 100%;">อื่นๆ</label>
          </div>
        </div>
      </div> -->



      <!-- <div class="form-group row" style="text-align: left; " *ngIf="target == true">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%" for="address">วัตถุประสงค์การลงทุน
          (อื่นๆ)</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="checkin" name="city" id="city" placeholder="City"
            required>
        </div>
      </div>


      <br><br>

      <div class="form-group row" style="text-align: left; ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%"
          for="address">บัญชีธนาคารสำหรับหักเงินเพื่อการซื้อหน่วยลงทุน</label>
      </div>



      <div class="">
        <div style="padding-right: 5%;padding-left: 4%">

          <table class="table">
            <thead>
              <tr>
                <th>บัญชีหลัก</th>
                <th>ธนาคาร</th>
                <th>สาขา</th>
                <th>เลขบัญชี</th>
                <th>ชื่อบัญชี</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td><input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1"
                    class="clr-checkbox"></td>
                <td>1</td>
                <td>1</td>
                <td>I</td>
                <td>I</td>
              </tr>
              <tr>
                <td><input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1"
                    class="clr-checkbox"></td>
                <td>5</td>
                <td>101</td>
                <td>V</td>
                <td>I</td>
              </tr>
              <tr>
                <td><input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1"
                    class="clr-checkbox"></td>
                <td>A</td>
                <td>1010</td>
                <td>X</td>
                <td>I</td>
              </tr>
              <tr>
                <td><input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1"
                    class="clr-checkbox"></td>
                <td>F</td>
                <td>1111</td>
                <td>XV</td>
                <td>I</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <br><br>

      <div class="form-group row" style="text-align: left;  ">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%"
          for="address">บัญชีธนาคารสำหรับการขายหน่วยลงทุนและรับเงินปันผล</label>
        <div class="col-sm-5">
          <div class="">
            <input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1" class="clr-checkbox">
            &nbsp; &nbsp;
            <label for="vertical-checkbox1" class="clr-control-label"
              style="max-width: 100%;">ตามบัญชีธนาคารสำหรับการซื้อหน่วยลงทุน</label>
          </div>
          <div class="">
            <input type="checkbox" id="vertical-checkbox1" name="checkboxs" [(ngModel)]="accountother">
            &nbsp; &nbsp;
            <label for="vertical-checkbox1" class="clr-control-label" style="max-width: 100%;">อื่นๆ</label>
          </div>
        </div>
      </div>

      <div class="form-group row" style="text-align: left; " *ngIf="accountother == true">
        <label class="col-sm-4 col-form-label" style="padding-left: 6%"
          for="address">บัญชีธนาคารสำหรับการขายหน่วยลงทุนและรับเงินปันผล
          (อื่นๆ)</label>
        <div class="col-sm-5">
          <input type="text" class="form-control" [(ngModel)]="checkin" name="city" id="city" placeholder="account"
            required>
        </div>
      </div>


      <div style="padding-right: 5%;padding-left: 4%">


        <table class="table">
          <thead>
            <tr>
              <th>บัญชีหลัก</th>
              <th>ธนาคาร</th>
              <th>สาขา</th>
              <th>เลขบัญชี</th>
              <th>ชื่อบัญชี</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td><input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1"
                  class="clr-checkbox"></td>
              <td>1</td>
              <td>1</td>
              <td>I</td>
              <td>I</td>
            </tr>
            <tr>
              <td><input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1"
                  class="clr-checkbox"></td>
              <td>5</td>
              <td>101</td>
              <td>V</td>
              <td>I</td>
            </tr>
            <tr>
              <td><input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1"
                  class="clr-checkbox"></td>
              <td>A</td>
              <td>1010</td>
              <td>X</td>
              <td>I</td>
            </tr>
            <tr>
              <td><input type="checkbox" id="vertical-checkbox1" name="checkbox-full" value="option1"
                  class="clr-checkbox"></td>
              <td>F</td>
              <td>1111</td>
              <td>XV</td>
              <td>I</td>
            </tr>
          </tbody>
        </table>

      </div> -->

      <br>


      <div style="text-align: right; padding-right: 2% ;padding-bottom: 2%">
        <button class="btn btn-outline-dark" (click)="backtopage3()">
          Back
        </button> &nbsp; &nbsp;

        <button class="btn btn-outline-success" (click)="openApprove(approvecontent)">
          Approve
        </button> &nbsp; &nbsp;


        <button class="btn btn-outline-danger" (click)="openReject(editcontent)">
          Reject
        </button>
        <!-- <button class="btn-shadow btn-wide btn-pill btn btn-focus" (click)="goPage4()">
          Next
        </button> -->
        <br>
      </div>
    </div>
  </div>





  <ng-template #editcontent let-c="close" let-d="dismiss">
    <div class="modal-header">
      <h4 class="modal-title" id="modal-basic-title">Edit User</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <form>
        <div class="form-group row">
          <label class="col-sm-4 col-form-label" style="" for="address">หมายเหตุ : </label>

        </div>
        <div>
          <textarea type="text" class="form-control" [(ngModel)]="bankCode" name="bankCode" id="bankCode"
            placeholder="bankCode"></textarea>
        </div>
      </form>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-outline-dark">Close</button>
      <button class="btn btn-danger" (click)="reject(c)">
        Reject
      </button>
    </div>
  </ng-template>








  <ng-template #approvecontent let-c="close" let-d="dismiss">
    <div class="modal-header">
      <h4 class="modal-title" id="modal-basic-title">Confirm Apporve</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <form>
        <div class="form-group row">
          <label>
            <h4>คุณต้องการ Approve หรือไม่?</h4>
          </label>

        </div>

      </form>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-outline-dark">Close</button>
      <button class="btn btn-success" (click)="approve(c)">
        Approve
      </button>
    </div>
  </ng-template>